Bug 302941 - Crash launching Software Updater
Crash launching Software Updater
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-24 07:25 EDT by Alessandro Nazzani
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.3.20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-26 11:00:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dump file from error (2.12 KB, text/plain)
2007-09-24 14:05 EDT, daniel nelson
no flags Details

  None (edit)
Description Alessandro Nazzani 2007-09-24 07:25:44 EDT
I received the following message after trying to activate the Software Updater
(after giving root password - worked fine before):

---- Log start ----
Component: pirut
Summary: TB8f5a3431 yumRepo.py:749:_getRepoXML:RepoError: Cannot retrieve
repository metadata (repomd.xml) for repository: updates. Please verify its path
and try again

Traceback (most recent call last):
  File "/usr/sbin/pup", line 650, in <module>
  File "/usr/sbin/pup", line 643, in main
    pup = PackageUpdater(not options.autoapply, options.config)
  File "/usr/sbin/pup", line 88, in __init__
    GraphicalYumBase.__init__(self, False, config)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 124, in __init__
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 223, in reset
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 64, in doTsSetup
    return self._getTs()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 78, in _getTs
    self._tsInfo.setDatabases(self.rpmdb, self.pkgSack)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 521, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 381, in _getSacks
  File "/usr/lib/python2.5/site-packages/yum/repos.py", line 239, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 142, in populate
    if self._check_db_version(repo, mydbtype):
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 199, in
    if repo.repoXML.repoData.has_key(mdtype):
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 753, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 749, in _getRepoXML
    raise Errors.RepoError, (msg)
RepoError: Cannot retrieve repository metadata (repomd.xml) for repository:
updates. Please verify its path and try again

Local variables in innermost frame:
msg: Cannot retrieve repository metadata (repomd.xml) for repository: updates.
Please verify its path and try again
self: updates
e: Cannot find a valid baseurl for repo: updates
---- Log end ----

Let me know if you need further info (this is my first bug report here).

Comment 1 daniel nelson 2007-09-24 14:05:24 EDT
Created attachment 204351 [details]
dump file from error

Also seeing this bug. Dump is attached.
Comment 2 Jeremy Katz 2007-09-26 08:55:53 EDT
Does this happen reliably?  If so, can you try with
(will be in updates-testing later today) and see if things work better?
Comment 3 Alessandro Nazzani 2007-09-26 10:52:53 EDT
Hi Jeremy and thanks for the reply.

> Does this happen reliably?

Are you asking if it is reproducible? In this case, no: I was able to update my
system successfully after the crash.


Comment 4 Jeremy Katz 2007-09-26 11:00:00 EDT
Okay the sporadic problems should be handled better then with the package that
is now in updates-testing.

Note You need to log in before you can comment on or make changes to this bug.